
-- 
-- Table structure for table `a_sets`
-- 

CREATE TABLE `a_sets` (
  `a_set` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `value` enum('1','2','3','4','5') collate utf8_unicode_ci NOT NULL default '1',
  `text` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (`a_set`,`value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `a_sets` (`a_set`,`value`,`text`) VALUES ('default','1','trifft überhaupt nicht zu');
INSERT INTO `a_sets` (`a_set`,`value`,`text`) VALUES ('default','2','trifft in geringem Masse zu');
INSERT INTO `a_sets` (`a_set`,`value`,`text`) VALUES ('default','3','trifft ungefähr zu 50% zu');
INSERT INTO `a_sets` (`a_set`,`value`,`text`) VALUES ('default','4','trifft grösstenteils zu');
INSERT INTO `a_sets` (`a_set`,`value`,`text`) VALUES ('default','5','trifft in höchstem Masse zu');

-- --------------------------------------------------------

-- 
-- Table structure for table `general_questions`
-- 

CREATE TABLE `general_questions` (
  `semkez` varchar(5) collate utf8_unicode_ci NOT NULL default '',
  `q_set` varchar(20) collate utf8_unicode_ci NOT NULL default 'general',
  `open` enum('Y','N') collate utf8_unicode_ci NOT NULL default 'N',
  `public` enum('Y','N') collate utf8_unicode_ci NOT NULL default 'N',
  `date_opened` date NOT NULL default '0000-00-00',
  `date_closed` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`semkez`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `lectures`
-- 

CREATE TABLE `lectures` (
  `l_id` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `code` varchar(15) collate utf8_unicode_ci NOT NULL default '',
  `semkez` varchar(5) collate utf8_unicode_ci NOT NULL default '',
  `semlang` varchar(80) collate utf8_unicode_ci NOT NULL default '',
  `semester` int(11) NOT NULL default '0',
  `course` enum('BSc','MSc') collate utf8_unicode_ci NOT NULL default 'BSc',
  `name` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `nameEN` varchar(100) collate utf8_unicode_ci NOT NULL default '',
  `lecturer` text collate utf8_unicode_ci NOT NULL default '',
  `q_set` varchar(20) collate utf8_unicode_ci NOT NULL default 'default',
  `open` enum('Y','N') collate utf8_unicode_ci NOT NULL default 'N',
  `public` enum('Y','N') collate utf8_unicode_ci NOT NULL default 'N',
  `date_opened` date NOT NULL default '0000-00-00',
  `date_closed` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`l_id`),
  UNIQUE KEY `semkez` (`semkez`,`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `q_answers`
-- 

CREATE TABLE `q_answers` (
  `q_id` int(11) NOT NULL default '0',
  `u_id` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `course` enum('BSc','MSc') collate utf8_unicode_ci default NULL,
  `l_id` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `value` text collate utf8_unicode_ci,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`q_id`,`u_id`,`l_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `q_summaries`
-- 

CREATE TABLE `q_summaries` (
  `q_id` int(11) NOT NULL default '0',
  `u_id` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `l_id` varchar(30) collate utf8_unicode_ci NOT NULL default '',
  `course` enum('BSc','MSc') collate utf8_unicode_ci NOT NULL default 'BSc',
  `value` text collate utf8_unicode_ci,
  PRIMARY KEY  (`q_id`,`l_id`,`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `q_texts`
-- 

CREATE TABLE `q_texts` (
  `q_id` int(11) NOT NULL default '0',
  `language` enum('de','en') collate utf8_unicode_ci NOT NULL default 'de',
  `text` text collate utf8_unicode_ci,
  PRIMARY KEY  (`q_id`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `q_types`
-- 

CREATE TABLE `q_types` (
  `q_id` int(11) NOT NULL auto_increment,
  `type` enum('radio5','text','title') collate utf8_unicode_ci default NULL,
  `q_set` varchar(20) collate utf8_unicode_ci default NULL,
  `a_set` varchar(50) collate utf8_unicode_ci NOT NULL default 'default',
  `sort` int(11) default NULL,
  `enabled` char(1) collate utf8_unicode_ci default '1',
  PRIMARY KEY  (`q_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;

-- --------------------------------------------------------

-- 
-- Table structure for table `student_info`
-- 

CREATE TABLE `student_info` (
  `u_id` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `sex` enum('m','f') collate utf8_unicode_ci default NULL,
  `language` enum('d','f','i','r','e','others') collate utf8_unicode_ci default NULL,
  `department` enum('D-ARCH','D-BAUG','D-MAVT','D-ITET','D-INFK','D-MATL','D-BEPR','D-MATH','D-PHYS','D-CHEM','D-BIOL','D-ANBI','D-ERDW','D-UMNW','D-AGRL','D-FOWI','D-GESS','Hörer/in','Nachdiplomstudent/in','andere Lehranstalt','Übrige') collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`u_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `lectures_hide`
-- 

CREATE TABLE `lectures_hide` (
  `u_id` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `semkez` varchar(5) collate utf8_unicode_ci NOT NULL,
  `l_id` varchar(30) collate utf8_unicode_ci NOT NULL,
  UNIQUE KEY `u_id` (`u_id`,`semkez`,`l_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

-- 
-- Table structure for table `inscriptions`
-- 

CREATE TABLE `inscriptions` (
  `semkez` varchar(5) collate utf8_unicode_ci NOT NULL default '',
  `u_id` varchar(50) collate utf8_unicode_ci NOT NULL,
  `code` varchar(15) collate utf8_unicode_ci NOT NULL default '',
  `first_name` varchar(200) collate utf8_unicode_ci default NULL,
  `last_name` varchar(200) collate utf8_unicode_ci default NULL,
  `email` varchar(200) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`semkez`,`u_id`,`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
